import * as React from "react";
export const withContext = (context) => (component) => (props) => {
    const contextValue = React.useContext(context);
    return React.createElement(component, {
        ...contextValue,
        ...props,
    });
};
